From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 28 August 2005<P>

I spoke to Rens on Friday night and she sends her love to all here. She and the Captain had been at the ranch but are back in LA now. She is happy and getting so healthy eating all those wonderful fruits and veggies, she sounds better every time I talk to her which is always such a treat.<BR>
<BR>
Anybody down in New Orleans/Gulf Coast area that comes here, we are praying for you all.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 28 August 2005<P>

Looks like New Orleans (one of my favorites) is going to be the hit for Katrina in a very bad way;<BR>
<BR>
<a href="http://dailykos.com/story/2005/8/28/11339/2233">http://dailykos.com/story/2005/8/28/11339/2233</a><BR>
<BR>
bk (get to higher ground NOW!)
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 28 August 2005<P>

BK,<BR>
As you probably remember i live in Louisiana, but as far as New Orleans as I can be. I have friends and co-workers that live in New Orleans and I have opened my home to guests from New Orleans...Their travel time was doubled because of the evacuation...This type of possible devastation and crisis shows how the majority of people will help and support others in their time of need...My family, pets and I evacuated from Gulf Coast when Hurricane Camille hit...Myself along with many who have lived with the after math of such loss respects a powerful storm such as Katrina...I am terribly fearful for those that are there to weather it out...<BR>
CS58
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 28 August 2005<P>

mandilove~<BR>
<BR>
I can so relate to <a href="/blend/wv.cgi?id=2005.08.27.21.46.17512">Fast Car</a> .  Feels like a page out of my own heart, my dear.  Thank you for writing such a wonderful piece!  :)<BR>
<BR>
Love and silver silence, Ali
<HR>